<div class="all-loans">
  <layout-page-header
    [title]="'LOAN_MANAGER.LOANS.TITLE' | translate"
    [description]="'LOAN_MANAGER.LOANS.DESCRIPTION' | translate"
    [total]="(loans$ | async)?.count"
    [tooltipMessage]="'LOAN_MANAGER.LOANS.TOTAL_TOOLTIP' | translate"
  >
  </layout-page-header>
  <layout-card-container>
    <loans-filters></loans-filters>
    <div class="all-loans__table">
      <mo-table-with-controls
        [headers]="headers"
        [response]="loans$ | async"
        [urlRow]="loanProfileUrl"
        [isLoading]="(isLoadingLoans$ | async)"
        (changeTableFilters)="onChangeTableFilters($event)"
        (download)="onDownload()"
      ></mo-table-with-controls>
    </div>
  </layout-card-container>
</div>

<ng-template #loanStatusTemplate let-row="row" let-header="header">
  <ng-container *ngIf="row[header?.dataKey] as status">
    <layout-status [status]="status"></layout-status>
  </ng-container>
</ng-template>
